package com.bj1890.avenue.common.log.config;

import com.pig4cloud.trace.TraceLogProperties;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author purgeyao
 * @since 1.0
 */
@Configuration(proxyBeanMethods = false)
@ConditionalOnWebApplication(type = ConditionalOnWebApplication.Type.SERVLET)
public class TraceServletExtendedConfiguration {

	@Bean
	public TraceServletExtendedFilter traceServletFilter(TraceLogProperties traceLogProperties) {
		return new TraceServletExtendedFilter(traceLogProperties);
	}

}
