package com.bj1890.avenue.common.log.util;

/**
 *
 * @author avenue
 * @date 2021/1/13
 */

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author avenue
 * @date 2020/7/30
 * <p>
 * 日志类型
 */
@Getter
@RequiredArgsConstructor
public enum LogTypeEnum {

	/**
	 * 正常日志类型
	 */
	NORMAL("0", "正常日志"),

	/**
	 * 错误日志类型
	 */
	ERROR("9", "错误日志");

	/**
	 * 类型
	 */
	private final String type;

	/**
	 * 描述
	 */
	private final String description;

}