package com.bj1890.avenue.admin.api.response;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
public class OrderInfoResponse extends Page {
	/**
	 * 工单id
	 */
	private String orderId;

	/**
	 * 工单ids
	 */
	private List<String> orderIdList;

	/**
	 * 姓名
	 */
	private String callerName;

	/**
	 * 性别
	 */
	private String callerSex;

	/**
	 * 来电号码
	 */
	private String callerPhone;

	/**
	 * 联系方式
	 */
	private String callerContact;

	/**
	 * 承办单位受理开始时间
	 */
	private LocalDateTime transferHandleStartTime;

	/**
	 * 承办单位受理结束时间
	 */
	private LocalDateTime transferHandleEndTime;

	/**
	 * 市级工单编号
	 */
	private String sOrderNum;

	/**
	 * 工单状态
	 */
	private List<String> orderState;

	/**
	 * 工单编号
	 */
	private String orderNum;

	/**
	 * 工单标题
	 */
	private String title;

	/**
	 * 工单来源
	 */
	private List<String> sourceType;

	/**
	 * 工单类型
	 */
	private String orderType;

	/**
	 * 问题分类编码
	 */
	private List<String> questionCode;

	/**
	 * 工单标签
	 */
	private List<String> transfer106;

	/**
	 * 诉求主体
	 */
	private String transfer104;

	/**
	 * 领导批示 1 不存在 2 存在
	 */
	private String transfer109;

	/**
	 * 办理类型 （单派件 市会签件）
	 */
	private String transfer110;

	/**
	 * 交办开始时间
	 */
	private LocalDateTime transfer307StartTime;

	/**
	 * 交办结束时间
	 */
	private LocalDateTime transfer307EndTime;

	/**
	 * 期满开始时间（承办部门）
	 */
	private LocalDateTime transfer103StartTime;

	/**
	 * 期满结束时间（承办部门）
	 */
	private LocalDateTime transfer103EndTime;

	/**
	 * 部门办理开始时间
	 */
	private LocalDateTime auditPass302StartTime;

	/**
	 * 部门办理结束时间
	 */
	private LocalDateTime auditPass302EndTime;

	/**
	 * 办理部门
	 */
	private List<String> deptId;

	/**
	 * 办理部门
	 */
	private List<String> deptState;

	/**
	 * 联系地址
	 */
	private String callerAddress;

	/**
	 * 主要内容
	 */
	private String majorContent;
}
