package com.bj1890.avenue.common.data.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

/**
 * Mybatis 配置
 *
 * @author avenue
 * @date 2021/6/3
 */
@Data
@RefreshScope
@ConfigurationProperties("avenue.mybatis")
public class AvenueMybatisProperties {

	/**
	 * 是否打印可执行 sql
	 */
	private boolean showSql = true;

}
