package com.bj1890.avenue.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("sys_user_msg")
@Schema(description = "用户消息")
public class SysUserMsg {

	@TableId( type = IdType.AUTO)
	@Schema(description = "主键id")
	private Long umsgId;

	@Schema(description = "用户id")
	private Long userId;

	@Schema(description = "通知内容")
	private String msgContent;

	@Schema(description = "0未读1已读")
	private	Integer	readstate;

	private LocalDateTime createTime;

	private String		createBy;

	private LocalDateTime updateTime;

	private String		updateBy;


}
